/*
	Date:				February 16, 1993

	Written By:			Daniel Ambrose

	CIS id:				71062,523

*/



#ifndef _TTYWIN_
#define _TTYWIN_


#include "TTYWIN.H"


TTYWindow::TTYWindow( TRect bounds, const char *winTitle,
	ushort windowNo, TTerminal *&interior, ushort aBufSize ) :

	TWindowInit( &TTYWindow::initFrame ),
	TWindow(bounds, winTitle, windowNo )
{
	flags &= ~wfClose;
	bounds = getExtent();
	bounds.grow( -1, -1 );

	interior = new TTerminal( bounds, 0,
		standardScrollBar( sbVertical | sbHandleKeyboard ),
		aBufSize );

	insert( interior );
}

#endif